#ifndef __CREATOR_PLUGIN_H_
#define __CREATOR_PLUGIN_H_

#include "../../../Core/Interfaces/src/PluginInterface.h"

/**
 *
 * @author Mark Pauly
 * @version 1.2
 */
class Creator_Plugin : public PluginInterface {

public:
	
	PLUGIN_API Creator_Plugin();
	PLUGIN_API virtual ~Creator_Plugin();

	// *************************
	// interface PluginInterface
	// *************************

	PLUGIN_API void execute();
	PLUGIN_API bool isAvailable() const;

private:

	

};

// ****************
// access functions
// ****************

// extern "C" is needed so those functions can be accessed
// with GetProcAddress() (WIN32) and dlsym() (UNIX) respective
extern "C" {
	PLUGIN_API PluginInterface *createPlugin();
	PLUGIN_API const char *getPluginName();
	PLUGIN_API const char *getPluginDescription();
}

#endif  // __CREATOR_PLUGIN_H_
