#include <qobject.h>

#include "../../../Core/Scene/src/Scene.h"
#include "Creator_Plugin.h"
#include "Creator_DialogImpl.h"

// ******************
// 'What's this' text
// ******************

static const char *whatsThisText = "This is a Creator plugin"
"<ul><li>Enter here a short description of this plugin</li>"
"<li>You may even use simple <i>HTML formated</i> text</li></ul>";

// ************
// Plugin class
// ************

Creator_Plugin::Creator_Plugin() {}
Creator_Plugin::~Creator_Plugin() {}

void Creator_Plugin::execute() {

	Creator_DialogImpl *gi_Dialog;
	
	gi_Dialog = Creator_DialogImpl::getInstance();
	gi_Dialog->show();
	gi_Dialog->raise();
}

bool Creator_Plugin::isAvailable() const {
	return true;
}

// ****************
// access functions
// ****************

PLUGIN_API PluginInterface *createPlugin() {
	return new Creator_Plugin();
}

PLUGIN_API const char *getPluginName() {
	return "Creator ...";
}

PLUGIN_API const char *getPluginDescription() {
	return whatsThisText;
}

